org.apache.pdfbox.preflight.font.container

## Class CIDType0Container

- java.lang.Object
- - org.apache.pdfbox.preflight.font.container.FontContainer<org.apache.pdfbox.pdmodel.font.PDCIDFontType0>
  - - org.apache.pdfbox.preflight.font.container.CIDType0Container

    public class CIDType0Container
    extends FontContainer<org.apache.pdfbox.pdmodel.font.PDCIDFontType0>

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.font.container.FontContainer

`embeddedFont, errorBuffer, font`

### Constructor Summary

Constructors
Constructor and Description
`CIDType0Container(org.apache.pdfbox.pdmodel.font.PDCIDFontType0 font)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasGlyph(int code)` Checks if the embedded font contains a glyph for the given character code.

### Methods inherited from class org.apache.pdfbox.preflight.font.container.FontContainer

`checkGlyphWidth, errorsAleadyMerged, getAllErrors, isEmbeddedFont, isValid, markAsInvalid, markAsValid, notEmbedded, push, push, setErrorsAlreadyMerged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CIDType0Container

    public CIDType0Container(org.apache.pdfbox.pdmodel.font.PDCIDFontType0 font)

### Method Detail

#### hasGlyph

    public boolean hasGlyph(int code)
                     throws IOException

Description copied from class: `FontContainer`
Checks if the embedded font contains a glyph for the given character code.

Specified by:
  `hasGlyph` in class `FontContainer<org.apache.pdfbox.pdmodel.font.PDCIDFontType0>`
Parameters:
  `code` - character code
Throws:
  `IOException`